Personal tools

WxHaskell/Linux

From HaskellWiki

< WxHaskell(Difference between revisions)
Jump to: navigation, search
(remove obsolete information (it hurts more than helps))
(Add a note about Arch Linux)
(8 intermediate revisions by 5 users not shown)
Line 1: Line 1:
  +
{{Template:Stub}}
 
This page records some user experiences building wxHaskell on Linux. It should be fleshed out now that wxHaskell 0.12 has been released.
 
This page records some user experiences building wxHaskell on Linux. It should be fleshed out now that wxHaskell 0.12 has been released.
   
Line 4: Line 5:
   
 
==== Debian and Ubuntu ====
 
==== Debian and Ubuntu ====
  +
  +
<code>
  +
sudo apt-get install g++<br />
  +
sudo apt-get install libglu-dev<br />
  +
sudo apt-get install libwxgtk2.8-dev<br />
  +
</code>
  +
  +
Debian has removed a dependency on gstreamer and gconf2.0 in their WxWidgets packages.
  +
  +
This may be the cause of your error when building `wxcore` if the build fails when unable to find
  +
  +
<code>
  +
libwx_gtk2u_media
  +
</code>
  +
  +
Install the WxWidgets library as instructed in [http://wiki.wxwidgets.org/Installing_and_configuring_under_Ubuntu#Using_other_packages Installing on Ubuntu/Debian]
   
 
==== [[Gentoo]] ====
 
==== [[Gentoo]] ====
  +
<code>emerge -a dev-haskell/wxhaskell</code>
   
 
==== Fedora Core 6 ====
 
==== Fedora Core 6 ====
  +
  +
==== Arch Linux ====
  +
The PKGBUILD file for wxgtk-2.9 on AUR passes <code>--disable-compat28</code> to configure which breaks <code>wxc-0.90.0.3</code>. After removing that option, everything builds fine. (as of 2012-06-14)
   
 
[[Category:wxHaskell|Linux]]
 
[[Category:wxHaskell|Linux]]

Revision as of 16:07, 14 June 2012

This article is a stub. You can help by expanding it. This page records some user experiences building wxHaskell on Linux. It should be fleshed out now that wxHaskell 0.12 has been released.

Contents

1 Sources

2 Debian and Ubuntu

sudo apt-get install g++
sudo apt-get install libglu-dev
sudo apt-get install libwxgtk2.8-dev

Debian has removed a dependency on gstreamer and gconf2.0 in their WxWidgets packages.

This may be the cause of your error when building `wxcore` if the build fails when unable to find

libwx_gtk2u_media

Install the WxWidgets library as instructed in Installing on Ubuntu/Debian

3 Gentoo

emerge -a dev-haskell/wxhaskell

4 Fedora Core 6

5 Arch Linux

The PKGBUILD file for wxgtk-2.9 on AUR passes --disable-compat28 to configure which breaks wxc-0.90.0.3. After removing that option, everything builds fine. (as of 2012-06-14)